org.apache.xmlbeans.impl.common

## Class StaxHelper

- java.lang.Object
- - org.apache.xmlbeans.impl.common.StaxHelper

    public final class StaxHelper
    extends Object

Provides handy methods for working with StAX parsers and readers

### Method Summary

All Methods Static Methods Concrete Methods
`static XMLEventFactory` `newXMLEventFactory(XmlOptions options)` Creates a new StAX XMLEventFactory, with sensible defaults
`static XMLInputFactory` `newXMLInputFactory(XmlOptions options)` Creates a new StAX XMLInputFactory, with sensible defaults
`static XMLOutputFactory` `newXMLOutputFactory(XmlOptions options)` Creates a new StAX XMLOutputFactory, with sensible defaults

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newXMLInputFactory

    public static XMLInputFactory newXMLInputFactory(XmlOptions options)

Creates a new StAX XMLInputFactory, with sensible defaults

#### newXMLOutputFactory

    public static XMLOutputFactory newXMLOutputFactory(XmlOptions options)

Creates a new StAX XMLOutputFactory, with sensible defaults

#### newXMLEventFactory

    public static XMLEventFactory newXMLEventFactory(XmlOptions options)

Creates a new StAX XMLEventFactory, with sensible defaults